Generate GeoJson Template

Generates a boilerplate template for use in the GeoJson Import API. Defines all the fields that can be mapped to Vitruvi.

UID, label, network_operator and category fields are required.

The design element's geometry will be automatically mapped to the GeoJson's geometry field.

All other fields are optional.

The category field's text_value generated in the template lists all the available design element categories for the given network_operator. Usually this field will be mapped to a GeoJson property. However, if it is set to value, ONLY ONE of the categories listed in the text_value field will be valid and this category will be used for all design elements imported.

The field attribute_name is used to map to any field in the "properties" section of the GeoJson data.

When a field has the option of being mapped to a GeoJson property, or a fixed value, the field in the mapping template will have an option for map_type which must be one of "map" or "value". If the map_type is set to "map", the field attribute_name must be speciifed. If the map_type is set to "value", the *_value field must be set and this value will be used for all entities in the import.

For all custom fields: 1. Any custom fields that do not have mapped values from the source GeoJson file and a fixed value is not specified, the section for that setting must be deleted. Only the custom fields that will be overwritten on import should be mapped. 2. The settings_label is for information only. It will not be used during the import. 3. The settings_data_type must match the definition of the custom field in Vitruvi. If they do not match, a validation error will be returned. 3. If the map_type is set to "map", the attribute_name will need to be set to a value field in the "properties" section of the GeoJson file. All values in the *_value fields will be ignored. 4. If the map_type is set to "value", the attribute_name field will be ignored and the import will expect one of the *_value fields to be set. This value will be used for ALL entities imported from the GeoJson file. The value must be set in the correct *_value field for the given settings_data_type. 5. If a custom field is not visible for the design element's category, the mapping will be skipped on import without error.

Use validate_geojson_template after any changes are made to the boilerplate template to check that the mapping template is valid for use in an import.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

The name of the network operator to generate the template for.

Responses

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json